MyGUI::LogSource Class Reference

`#include <MyGUI_LogSource.h>`

## Public Member Functions

void | setLogFilter (ILogFilter *_filter)
void | addLogListener (ILogListener *_lestener)
void | open ()
void | close ()
void | flush ()
void | log (std::string_view _section, LogLevel _level, const struct tm *_time, std::string_view _message, std::string_view _file, int _line)

## Detailed Description

Definition at line 18 of file MyGUI_LogSource.h.

## Member Function Documentation

## addLogListener()

void MyGUI::LogSource::addLogListener | ( | ILogListener * | _lestener | ) |

Set log messages filter.

Definition at line 18 of file MyGUI_LogSource.cpp.

## close()

void MyGUI::LogSource::close | ( |  | ) |

Call ILogListener::close() for all listeners.

Definition at line 29 of file MyGUI_LogSource.cpp.

## flush()

void MyGUI::LogSource::flush | ( |  | ) |

Call ILogListener::flush() for all listeners.

Definition at line 35 of file MyGUI_LogSource.cpp.

## log()

void MyGUI::LogSource::log | ( | std::string_view | _section,
|  | LogLevel | _level,
|  | const struct tm * | _time,
|  | std::string_view | _message,
|  | std::string_view | _file,
|  | int | _line )

Call ILogListener::log for all listeners for messages that match LogSource filter (

See also
  void setLogFilter(ILogFilter* _filter)).

Definition at line 41 of file MyGUI_LogSource.cpp.

## open()

void MyGUI::LogSource::open | ( |  | ) |

Call ILogListener::open() for all listeners.

Definition at line 23 of file MyGUI_LogSource.cpp.

## setLogFilter()

void MyGUI::LogSource::setLogFilter | ( | ILogFilter * | _filter | ) |

Set log messages filter.

Definition at line 13 of file MyGUI_LogSource.cpp.

The documentation for this class was generated from the following files:

- MyGUI_LogSource.h
- MyGUI_LogSource.cpp